# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Find.pm) perl(File/Temp.pm) perl(HTML/Entities.pm) perl(HTML/TokeParser.pm) perl(HTML/Zoom.pm) perl(HTML/Zoom/CodeStream.pm) perl(HTML/Zoom/FilterBuilder.pm) perl(HTML/Zoom/FilterStream.pm) perl(HTML/Zoom/Producer/BuiltIn.pm) perl(HTML/Zoom/SelectorParser.pm) perl(HTML/Zoom/SubObject.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(base.pm) perl(strict.pm) perl(strictures.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name HTML-Zoom-Parser-HTML-Parser
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.130810
Release: alt1
Summary: Glue to power HTML::Zoom with HTML::Parser
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/HTML-Zoom-Parser-HTML-Parser/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MATTP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a bridge to HTML::Parser to be used with HTML::Zoom. You may want to use this over Parser::BuiltIn for improved handling of malformed html. There could potentially be a performance boost from HTML::Parser's XS bits, though I've not benchmarked.

Using this Parser over BuiltIn should require no different usage with HTML::Zoom.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.mkdn Changes LICENSE README
%perl_vendor_privlib/H*

%changelog
* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 1.130810-alt1
- initial import by package builder

